All Data Structures Functions Variables Enumerations Enumerator Groups Pages
sa_process Struct Reference
Process interface

## Data Fields

pid_t | pid
| The id of the process.
uid_t | uid
| The id of the user running this process.
gid_t | gid
| Id of the user's group running this process.
char | filename [SA_PROCESS_FILENAME]
| The name of the running file.
char | cmdline [SA_PROCESS_CMDLINE]
| The command executed to launch this process.
pid_t | parent_pid
| The id of its parent.
pid_t | pgrp
| The group id the process.
pid_t | sid
| Session id of this process.
pid_t | tty
| The id of the tty this process is running on.
int8_t | nice
| Priority of this process.
uint64_t | start_time
| Process start time in hundredths of second since system boot.

## Detailed Description

This structure holds the static information about a process.

The documentation for this struct was generated from the following file:

- src/common/process.h